ONVIF::Device::Elements::SetSystemDateAndTime(3)

NAME
ONVIF::Device::Elements::SetSystemDateAndTime

DESCRIPTION
Perl data type class for the XML Schema defined element SetSystemDateAndTime from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   DateTimeType

     $element->set_DateTimeType($data);
     $element->get_DateTimeType();

•   DaylightSavings

     $element->set_DaylightSavings($data);
     $element->get_DaylightSavings();

•   TimeZone

     $element->set_TimeZone($data);
     $element->get_TimeZone();

•   UTCDateTime

     $element->set_UTCDateTime($data);
     $element->get_UTCDateTime();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetSystemDateAndTime->new($data);

Constructor. The following data structure may be passed to new():

 {
   DateTimeType => $some_value, # SetDateTimeType
   DaylightSavings =>  $some_value, # boolean
   TimeZone =>  { # ONVIF::Device::Types::TimeZone
     TZ =>  $some_value, # token
   },
   UTCDateTime =>  { # ONVIF::Device::Types::DateTime
     Time =>  { # ONVIF::Device::Types::Time
       Hour =>  $some_value, # int
       Minute =>  $some_value, # int
       Second =>  $some_value, # int
     },
     Date =>  { # ONVIF::Device::Types::Date
       Year =>  $some_value, # int
       Month =>  $some_value, # int
       Day =>  $some_value, # int
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL